#include <sybfront.h>
#include <sybdb.h>
#include <sybfrs.h>

#if MSDOS
#	include	"aforms.h"
#endif /* MSDOS */

/*
**	GTHDR - Set up Sales Entry form header information.
**
**	Get the current date and operator's login from the SQL Server.
**	This is triggered by the Sales Entry form pre-processing.
*/

gthdr(context, argarray)   
FRSCONTEXT  *context;
POINTER  argarray[];
{

	DBPROCESS        *dbproc;

	dbproc = (DBPROCESS *)argarray[0];

	/* Put commands into command buffer. */
	if (fssql(dbproc, "select date = getdate(), login = user_name()") != 1)
	{
		fsabort("Attempt to read date and login failed(fssql)");
	}

	return;
}
